API ReferenceElevenLabs SDK
Delete Speech Engine
Deletes a Speech Engine so it can no longer issue new signed URLs.
DELETE
/el/v1/speech-engine/{speech_engine_id}Deletes a Speech Engine so it can no longer issue new signed URLs.
xi-api-key<token>
Tenant key (ElevenLabs SDK convention).
In: header
Path Parameters
speech_engine_id*string
Response Body
application/json
application/json
application/json
const response = await fetch("https://api.allmodels.io/el/v1/speech-engine/$SPEECH_ENGINE_ID", { method: "DELETE", headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);import osimport requestsresponse = requests.delete( "https://api.allmodels.io/el/v1/speech-engine/$SPEECH_ENGINE_ID", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, timeout=30,)response.raise_for_status()curl -X DELETE https://api.allmodels.io/el/v1/speech-engine/$SPEECH_ENGINE_ID \ -H "Authorization: Bearer $ALLMODELS_API_KEY"import { ElevenLabsClient } from "@elevenlabs/elevenlabs-js";const client = new ElevenLabsClient({ apiKey: process.env.ALLMODELS_API_KEY, baseUrl: "https://api.allmodels.io/el"});await client.speechEngine.delete("seng_01JZ8H4B1M4YDQ3Z4MXN8D0Q1A");import osfrom elevenlabs.client import ElevenLabsclient = ElevenLabs( api_key=os.environ["ALLMODELS_API_KEY"], base_url="https://api.allmodels.io/el",)client.speech_engine.delete("seng_01JZ8H4B1M4YDQ3Z4MXN8D0Q1A")Empty
{ "error": "missing_api_key"}{ "detail": { "message": "string", "status": "string", "property1": null, "property2": null }}{ "detail": { "message": "string", "status": "string", "property1": null, "property2": null }}